> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.9.md).

# V1.3.9

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.9-0
Date: 23/10/22
User: Qjuh
> ----------
>>> various files
* Removed unneccessary eslint disables
* Moved some disables to next-line disables to not affect the whole file

>>> args.js
* Changed for..in to for..of and removed the eslint-disable

>>> join.js, event.js
* Removed the unused config parameter for guild join

>>> purge.js
* Commented unused `target` variable, made the function synchronous

>>> sub.js
* Backported the changes to addsub->subadd and removesub from development branch for manual dev-override subscriptions

>>> helpers.js
* Added `awaitMessage` function, was in translate.group_auto.js before, now used by that and sub.js

>>> translate.group_auto.js
* Removed unused `groupName` parameter from `listGroups` function

>> send.js
* Merged redundant webhook.send calls into one call (yes, I touched it again)

>>> translate.js
* Removed unused `guild` parameter from `bufferChains` function
* Changed `bufferChains` to use `translationHandler` too, instead of using Google Translate always

>>> deploy-interactions.js, slashcommand.js, slashcommands/../settings.js, slashcommands/../group.js, slashcommands/../translate.js, slashcommands/../check.js
* Added handler for slashcommands
* Changed deploy script to dynamically deploy commands that exist in slashcommands folder
* Added `/settings`, equivalent to `!tr settings` and its subcommands `reactpersist`, `menupersist`, `flagpersist` and `reset`, as well as `prefix` (ironic, I know), `bot2bot`, `embed`, `react`. Also has `/settings devreset` which accepts a serverId as option, but won`t be deployed globally, only to support server with needing Administrator permission per default to even appear and safeguarded as isDev internally.
* Added `/group`, equivalent to `!tr group` and all its subcommands
* Added `/check`, equivalent to `!tr check` and its subcommands, including a support-server only `/check server` command accepting a serverId as option, needing Administrator permission per default to even appear and safeguarded as isDev internally.
* Added `/translate` command, equivalent to `!tr this`
* These won't show unless deploy-interaction.js is run (which we shouldn't until we want to release them)

>>> message.js
* Fixed small bug not showing serverId of blacklisted server in redundancy check
```

{% endcode %}

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.9-1
Date: 24/10/22
User: Qjuh
> ----------
>>> misc.js
* Added response for `!tr taskfix` command

>>> eject.js, command.send.js, send.js, db.js
* Moved increment of server_obj values to `increaseServersCount()` function

>>> country.langs.js
* Removed `rm` from `ch` flag

>>> db.js
* Switched order of some db calls to make sure the values we use still exist when we use them
* Moved another server_obj update to a `updateServerObj()` call

>>> helpers.js
* Fixed `subExpired()` and `checkSubActive()` functions according tp dev branch

>>> send.js
* Merged embed send if/else into one, according to dev branch

>>> args.js
* Fixed usage of `subadd` instead of `addsub`
```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
### 1.3.9-2
Date: 25/10/22
User: Qjuh
> ----------
>>> send.js
* use attachments collection directly instead of converting to array
* added some ?. for safety
* simplified servertags check
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.9.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
